Open SCAP Library: xccdf_fixtext Struct Reference

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
xccdf_fixtext Struct Reference
XCCDF

XCCDF textual fix instructions. More...

`#include <xccdf_benchmark.h>`

## Public Member Functions
struct xccdf_fixtext * | xccdf_fixtext_new (void)
struct xccdf_fixtext * | xccdf_fixtext_clone (const struct xccdf_fixtext *fixtext)
void | xccdf_fixtext_free (struct xccdf_fixtext *item)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
bool | xccdf_fixtext_get_reboot (const struct xccdf_fixtext *fixtext)
xccdf_strategy_t | xccdf_fixtext_get_strategy (const struct xccdf_fixtext *fixtext)
xccdf_level_t | xccdf_fixtext_get_complexity (const struct xccdf_fixtext *fixtext)
xccdf_level_t | xccdf_fixtext_get_disruption (const struct xccdf_fixtext *fixtext)
const char * | xccdf_fixtext_get_fixref (const struct xccdf_fixtext *fixtext)
struct oscap_text * | xccdf_fixtext_get_text (const struct xccdf_fixtext *fixtext)
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
bool | xccdf_fixtext_set_strategy (struct xccdf_fixtext *obj, xccdf_strategy_t newval)
bool | xccdf_fixtext_set_disruption (struct xccdf_fixtext *obj, xccdf_level_t newval)
bool | xccdf_fixtext_set_complexity (struct xccdf_fixtext *obj, xccdf_level_t newval)
bool | xccdf_fixtext_set_reboot (struct xccdf_fixtext *obj, bool newval)
bool | xccdf_fixtext_set_text (struct xccdf_fixtext *obj, struct oscap_text *newval)
bool | xccdf_fixtext_set_fixref (struct xccdf_fixtext *obj, const char *newval)

## Data Fields
struct oscap_text * | text
bool | reboot
xccdf_strategy_t | strategy
xccdf_level_t | disruption
xccdf_level_t | complexity
char * | fixref

## Detailed Description

XCCDF textual fix instructions.

See also
  xccdf_rule

The documentation for this struct was generated from the following files:

- item.h
- xccdf_benchmark.h